package com.yihu.jw.entity.base.dict;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "base_frequency_dict")
public class BaseFrequencyDictDO extends UuidIdentityEntityWithCreateTime {
    private String freq_code;
    private String freq_name;
    private String freq_sp;
    private String daily_times;
    private String weekly_times;
    private String hosp_code;
    private String is_op_ip;
    private String is_del;
    private String status;
    @Column(name = "freq_code")
    public String getFreq_code() {
        return freq_code;
    }

    public void setFreq_code(String freq_code) {
        this.freq_code = freq_code;
    }
    @Column(name = "freq_name")
    public String getFreq_name() {
        return freq_name;
    }

    public void setFreq_name(String freq_name) {
        this.freq_name = freq_name;
    }
    @Column(name = "freq_sp")
    public String getFreq_sp() {
        return freq_sp;
    }

    public void setFreq_sp(String freq_sp) {
        this.freq_sp = freq_sp;
    }
    @Column(name = "daily_times")
    public String getDaily_times() {
        return daily_times;
    }

    public void setDaily_times(String daily_times) {
        this.daily_times = daily_times;
    }
    @Column(name = "weekly_times")
    public String getWeekly_times() {
        return weekly_times;
    }

    public void setWeekly_times(String weekly_times) {
        this.weekly_times = weekly_times;
    }
    @Column(name = "hosp_code")
    public String getHosp_code() {
        return hosp_code;
    }

    public void setHosp_code(String hosp_code) {
        this.hosp_code = hosp_code;
    }
    @Column(name = "is_op_ip")
    public String getIs_op_ip() {
        return is_op_ip;
    }

    public void setIs_op_ip(String is_op_ip) {
        this.is_op_ip = is_op_ip;
    }
    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }
    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
